Freeciv-3.3: packet_ruleset_specialist Struct Reference

Freeciv-3.3

Loading...
Searching...
No Matches
Data Fields
packet_ruleset_specialist Struct Reference

`#include <packets_gen.h>`

## Data Fields

Specialist_type_id | id
char | plural_name [MAX_LEN_NAME]
char | rule_name [MAX_LEN_NAME]
char | short_name [MAX_LEN_NAME]
char | graphic_str [MAX_LEN_NAME]
char | graphic_alt [MAX_LEN_NAME]
int | reqs_count
struct requirement | reqs [MAX_NUM_REQS]
struct strvec * | helptext

## Detailed Description

Definition at line 1039 of file packets_gen.h.

## Field Documentation

## ◆ graphic_alt

char packet_ruleset_specialist::graphic_alt[MAX_LEN_NAME]

Definition at line 1045 of file packets_gen.h.

Referenced by handle_ruleset_specialist(), receive_packet_ruleset_specialist_100(), send_packet_ruleset_specialist_100(), and send_ruleset_specialists().

## ◆ graphic_str

char packet_ruleset_specialist::graphic_str[MAX_LEN_NAME]

Definition at line 1044 of file packets_gen.h.

Referenced by handle_ruleset_specialist(), receive_packet_ruleset_specialist_100(), send_packet_ruleset_specialist_100(), and send_ruleset_specialists().

## ◆ helptext

struct strvec* packet_ruleset_specialist::helptext

Definition at line 1048 of file packets_gen.h.

Referenced by free_packet_ruleset_specialist(), handle_ruleset_specialist(), init_packet_ruleset_specialist(), receive_packet_ruleset_specialist_100(), send_packet_ruleset_specialist_100(), and send_ruleset_specialists().

## ◆ id

Specialist_type_id packet_ruleset_specialist::id

Definition at line 1040 of file packets_gen.h.

Referenced by handle_ruleset_specialist(), receive_packet_ruleset_specialist_100(), send_packet_ruleset_specialist_100(), and send_ruleset_specialists().

## ◆ plural_name

char packet_ruleset_specialist::plural_name[MAX_LEN_NAME]

Definition at line 1041 of file packets_gen.h.

Referenced by handle_ruleset_specialist(), receive_packet_ruleset_specialist_100(), send_packet_ruleset_specialist_100(), and send_ruleset_specialists().

## ◆ reqs

struct requirement packet_ruleset_specialist::reqs[MAX_NUM_REQS]

Definition at line 1047 of file packets_gen.h.

Referenced by handle_ruleset_specialist(), receive_packet_ruleset_specialist_100(), send_packet_ruleset_specialist_100(), and send_ruleset_specialists().

## ◆ reqs_count

int packet_ruleset_specialist::reqs_count

Definition at line 1046 of file packets_gen.h.

Referenced by handle_ruleset_specialist(), receive_packet_ruleset_specialist_100(), send_packet_ruleset_specialist_100(), and send_ruleset_specialists().

## ◆ rule_name

char packet_ruleset_specialist::rule_name[MAX_LEN_NAME]

Definition at line 1042 of file packets_gen.h.

Referenced by handle_ruleset_specialist(), receive_packet_ruleset_specialist_100(), send_packet_ruleset_specialist_100(), and send_ruleset_specialists().

## ◆ short_name

char packet_ruleset_specialist::short_name[MAX_LEN_NAME]

Definition at line 1043 of file packets_gen.h.

Referenced by handle_ruleset_specialist(), receive_packet_ruleset_specialist_100(), send_packet_ruleset_specialist_100(), and send_ruleset_specialists().